%define url_ver    %(echo %{version}|cut -d. -f1,2)

Name:           mate-terminal
Summary:        MATE terminal emulator
Version:        1.6.2
Release:        %mkrel 1
URL:            http://mate-desktop.org
License:        GPLv2+
Group:          Graphical desktop/MATE
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) add -geometry support
Patch0:         gnome-terminal-2.25.3-geometry.patch
# (fc) change default background (grey on black)
Patch2:         gnome-terminal-2.10.0-background.patch

BuildRequires: docbook-dtd412-xml
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: rarian
BuildRequires: xsltproc
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(mate-doc-utils)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(vte)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(dconf)

%description
Mate-terminal is a terminal emulator for MATE. It supports translucent
backgrounds, opening multiple terminals in a single window (tabs) and
clickable URLs.

%prep
%setup -q
%apply_patches

%build
%configure2_5x 
%make

%install
%makeinstall_std
rm -rf %{buildroot}/var

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-only-show-in="MATE" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}
for omf in %{buildroot}%_datadir/omf/%name/%name-??*.omf;do
    echo "%lang($(basename "$omf"|sed -e s/%name-// -e s/.omf//)) $(echo "$omf"|sed -e s!%{buildroot}!!)" >> %name.lang
done

%post
if [ "$1" = "2" ]; then
		update-alternatives --remove xvt %{_bindir}/mate-terminal
fi

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README ChangeLog
%{_mandir}/man1/*
%{_bindir}/mate-terminal
%{_bindir}/mate-terminal.wrapper
%{_datadir}/mate-terminal
%{_datadir}/mate/help/mate-terminal
%{_datadir}/applications/mate-terminal.desktop
%{_datadir}/glib-2.0/schemas/org.mate.terminal.gschema.xml
%dir %{_datadir}/omf/mate-terminal
%{_datadir}/omf/mate-terminal/*-C.omf



%changelog
* Thu Jan 09 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 565727
- Bugfix release update: 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531079
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 445463
- imported package mate-terminal

